/*
 * dma_ll.c
 *
 *  Created on: Nov 22, 2019
 *      Author: abody
 */
#include "dma_ll.h"

void MOCKABLE(LL_DMA_EnableIT_TC)(DMA_TypeDef *DMAx, uint32_t Stream) {}
void MOCKABLE(LL_DMA_EnableIT_TE)(DMA_TypeDef *DMAx, uint32_t Stream) {}
void MOCKABLE(LL_DMA_SetM2MDstAddress)(DMA_TypeDef* DMAx, uint32_t Stream, uint32_t MemoryAddress) {}
void MOCKABLE(LL_DMA_SetM2MSrcAddress)(DMA_TypeDef* DMAx, uint32_t Stream, uint32_t MemoryAddress) {}
uint32_t MOCKABLE(LL_DMA_GetDataLength)(DMA_TypeDef* DMAx, uint32_t Stream) { return 0; }
void MOCKABLE(LL_DMA_SetDataLength)(DMA_TypeDef* DMAx, uint32_t Stream, uint32_t NbData) {}
void MOCKABLE(LL_DMA_EnableStream)(DMA_TypeDef *DMAx, uint32_t Stream) {}
void MOCKABLE(LL_DMA_DisableStream)(DMA_TypeDef *DMAx, uint32_t Stream) {}
void MOCKABLE(LL_DMA_ConfigAddresses)(DMA_TypeDef* DMAx, uint32_t Stream, uint32_t SrcAddress, uint32_t DstAddress, uint32_t Direction) {}
